This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 435619 - When issuing "yum install foo" on a 64-bit installation, both the x86 and 64 bit packages are being installed
When issuing "yum install foo" on a 64-bit installation, both the x86 and 64 ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 12:20 EST by Martin Jürgens
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 21:49:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2008-03-02 12:20:21 EST
Description of problem:
When issuing "yum install foo" on a 64-bit installation, both the x86 and 64 bit
packages are being installed which may confuse users.

I know that there is a way to prevent yum from doing it, but the way to go is
probably to only install the 64-bit packages on a 64-bit installation by default.
Comment 1 James Antill 2008-03-02 21:49:02 EST
 For Fed-8 there is a yum-basearchonly plugin, which does what you want. For
Fedora 9 we've integrated the feature into core yum, and _might_ be changing the
default policy to only install the x86_64 packages (currently yum follows the
Fedora policy, which is to install both).
Comment 2 Martin Jürgens 2008-03-03 02:11:42 EST
Good. Then I just want you to encourage to change the default policy ;)

Note You need to log in before you can comment on or make changes to this bug.